hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a.@apache.org
Subject hadoop git commit: HADOOP-12314. check_unittests in test-patch.sh can return a wrong status (Kengo Seki via aw)
Date Sat, 15 Aug 2015 18:13:03 GMT
Repository: hadoop
Updated Branches:
  refs/heads/HADOOP-12111 f64f68a3b -> 565d9bf84


HADOOP-12314. check_unittests in test-patch.sh can return a wrong status (Kengo Seki via aw)


Project: http://git-wip-us.apache.org/repos/asf/hadoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/hadoop/commit/565d9bf8
Tree: http://git-wip-us.apache.org/repos/asf/hadoop/tree/565d9bf8
Diff: http://git-wip-us.apache.org/repos/asf/hadoop/diff/565d9bf8

Branch: refs/heads/HADOOP-12111
Commit: 565d9bf84cf3112d960ea58d391a248ed224edde
Parents: f64f68a
Author: Allen Wittenauer <aw@apache.org>
Authored: Sat Aug 15 11:12:51 2015 -0700
Committer: Allen Wittenauer <aw@apache.org>
Committed: Sat Aug 15 11:12:51 2015 -0700

----------------------------------------------------------------------
 dev-support/test-patch.sh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hadoop/blob/565d9bf8/dev-support/test-patch.sh
----------------------------------------------------------------------
diff --git a/dev-support/test-patch.sh b/dev-support/test-patch.sh
index 13332b7..a368f83 100755
--- a/dev-support/test-patch.sh
+++ b/dev-support/test-patch.sh
@@ -2118,6 +2118,7 @@ function modules_workers
   local jdk=""
   local jdkindex=0
   local statusjdk
+  local result=0
 
   if [[ ${repostatus} == branch ]]; then
     repo=${PATCH_BRANCH}
@@ -2834,11 +2835,11 @@ function precheck_mvninstall
   big_console_header "Verifying mvn install works"
 
   verify_needed_test javadoc
-  retval=$?
+  result=$?
 
   verify_needed_test javac
-  ((retval = retval + $? ))
-  if [[ ${retval} == 0 ]]; then
+  ((result = result + $? ))
+  if [[ ${result} == 0 ]]; then
     echo "This patch does not appear to need mvn install checks."
     return 0
   fi
@@ -2870,11 +2871,11 @@ function check_mvninstall
   big_console_header "Verifying mvn install still works"
 
   verify_needed_test javadoc
-  retval=$?
+  result=$?
 
   verify_needed_test javac
-  ((retval = retval + $? ))
-  if [[ ${retval} == 0 ]]; then
+  ((result = result + $? ))
+  if [[ ${result} == 0 ]]; then
     echo "This patch does not appear to need mvn install checks."
     return 0
   fi
@@ -2897,6 +2898,8 @@ function check_mvninstall
 ## @return       1 on failure
 function check_mvn_eclipse
 {
+  local result=0
+
   if [[ ${BUILDTOOL} != maven ]]; then
     return 0
   fi
@@ -3021,7 +3024,7 @@ function check_unittests
           yetus_debug "Calling ${testsys}_process_tests"
           "${testsys}_process_tests" "${module}" "${test_logfile}" "${fn}"
           formatresult=$?
-          ((results=results+formatresult))
+          ((result=result+formatresult))
           if [[ "${formatresult}" != 0 ]]; then
             needlog=1
           fi


Mime
View raw message